Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Update memories

POST /memory_stores/{name}:update_memories

Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Path parameters

name string required

The name of the memory store to update.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Content-Type: application/json
scope string required

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Conversation items to be stored in memory.

previous_update_id string

The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.

update_delay integer

Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).

Responses

The request has been accepted for processing, but processing has not yet completed.

Headers

Operation-Location string required

The location for monitoring the operation state.

Body

Content-Type: application/json
update_id string required

The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.

status string | enum required

Status of a memory store update operation.

Any of the following:
string
enum
queuedin_progresscompletedfailedsuperseded
superseded_by string

The update_id the operation was superseded by when status is "superseded".

result MemoryStoreUpdateCompletedResult

Memory update result.

memory_operations MemoryOperation[] required

A list of individual memory operations that were performed during the update.

usage MemoryStoreOperationUsage required

Usage statistics of a memory store operation.

embedding_tokens integer required

The number of embedding tokens.

input_tokens integer required
input_tokens_details OpenAI.ResponseUsageInputTokensDetails required
cached_tokens integer required
cache_write_tokens integer required
output_tokens integer required
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails required
reasoning_tokens integer required
total_tokens integer required
error OpenAI.Error
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /memory_stores/{name}:update_memories HTTP/1.1

Response

Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026